Package com.sas.lsaf.content.repository.signature

## Class SigningException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.sas.lsaf.core.AbstractCheckedException
      - - com.sas.lsaf.content.repository.signature.SigningException

- All Implemented Interfaces:
    `java.io.Serializable`

      public class SigningException
      extends AbstractCheckedException

  Thrown when an error occurs during the signing process.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `SigningException​(java.lang.String path, java.lang.String message, java.lang.Throwable cause)` | Constructs a `SigningException` with the specified message and root cause.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getPath()` | Gets the path to the file that is associated with the signing error.

    - ### Methods inherited from class com.sas.lsaf.core.AbstractCheckedException

      `getMessage, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SigningException

          public SigningException​(java.lang.String path,
                                  java.lang.String message,
                                  java.lang.Throwable cause)

      Constructs a `SigningException` with the specified message and root cause.
      Parameters:
        `path` - The repository path to the file that is associated with the signing error.
        `message` - The detailed message.
        `cause` - The root cause of the exception.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the file that is associated with the signing error.
      Returns:
        The path to the file that is associated with the error.